PHP Manual
Prev |  | Next

# HttpResponse::send

(no version information, might be only in CVS)

HttpResponse::send -- Send response

## Description

staticbool HttpResponse::send ( [bool clean_ob = TRUE] )

Finally send the entity.

A successful caching attempt will cause a script termination, and write a log entry if the INI setting http.cache_log is set.

## Parameters

clean_ob

  whether to destroy all previously started output handlers and their buffers

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Errors/Exceptions

Throws HttpHeaderException, HttpResponseException

## Examples

Example 1. A HttpResponse::send() example

`<?php HttpResponse::setCache(true); HttpResponse::setContentType('application/pdf'); HttpResponse::setContentDisposition("$user.pdf", false); HttpResponse::setFile('sheet.pdf'); HttpResponse::send(); ?>`

Prev | Home | Next
HttpResponse::guessContentType | Up | HttpResponse::setBufferSize